<h1 mat-dialog-title>{{'USER_PERMISSION' | translate}}</h1>
<div mat-dialog-content [formGroup]="permissionForm">
    <div class="row">
        <div class="form-group col-md-12">
            <mat-form-field appearance="fill" class="full-width">
                <mat-label>{{'USERS' | translate}}</mat-label>
                <mat-select [formControl]="userMultiCtrl" [(value)]="selectedUsers" [multiple]="true" #multiSelect>
                  <mat-select-trigger>
                        <span *ngIf="selectedUsers.length > 0">
                            <p>
                                {{selectedUsers[0].firstName}} ({{selectedUsers[0].lastName}})
                                ({{selectedUsers[0].userName}})
                            </p>
                        </span>
                        <span *ngIf="selectedUsers.length > 1" class="example-additional-selection">
                            (+{{selectedUsers.length - 1}} {{selectedUsers.length === 2 ? 'other' : 'others'}})
                        </span>
                    </mat-select-trigger>
                    <mat-option>
                      <ngx-mat-select-search [formControl]="userMultiFilterCtrl" placeholderLabel="{{'SEARCH' | translate }}"></ngx-mat-select-search>
                    </mat-option>
                    <mat-option *ngFor="let user of filteredUsersMulti | async" [value]="user">
                        {{user.firstName}} ({{user.lastName}}) ({{user.userName}})
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
    </div>
    <!-- <div class="col-md-12 row">
        <mat-checkbox (change)="timeBoundChange($event)" color="primary" formControlName="isTimeBound">
            {{'SPACIFY_THE_PERIOD' | translate}}</mat-checkbox>
    </div>
    <div class="col-md-12 row" *ngIf="permissionForm.get('isTimeBound').value">
        <div class="form-group col-md-6">
            <mat-form-field appearance="fill">
                <mat-label>{{'CHOOSE_A_START_DATE' | translate}}</mat-label>
                <input formControlName="startDate" matInput [min]="minDate" [matDatepicker]="startDatePicker">
                <mat-datepicker-toggle matSuffix [for]="startDatePicker"></mat-datepicker-toggle>
                <mat-datepicker #startDatePicker></mat-datepicker>
                <mat-error
                    *ngIf="permissionForm.get('startDate').touched && permissionForm.get('startDate').errors?.required">
                    {{'START_DATE_IS_REQURED' | translate}}
                </mat-error>
            </mat-form-field>
        </div>
        <div class="form-group col-md-6">
            <mat-form-field appearance="fill">
                <mat-label>{{'CHOOSE_A_END_DATE' | translate}}</mat-label>
                <input formControlName="endDate" matInput [min]="permissionForm.get('startDate').value"
                    [matDatepicker]="endDatePicker">
                <mat-datepicker-toggle matSuffix [for]="endDatePicker"></mat-datepicker-toggle>
                <mat-datepicker #endDatePicker></mat-datepicker>
                <mat-error
                    *ngIf="permissionForm.get('startDate').touched && permissionForm.get('endDate').errors?.required">
                    {{'END_DATE_IS_REQURED' | translate}}
                </mat-error>
            </mat-form-field>
        </div>
    </div> -->
    <div class="col-md-12 row">
        <mat-checkbox color="primary" formControlName="isAllowDownload">{{'ALLOW_DOWNLOAD' | translate}}</mat-checkbox>
    </div>
</div>
<div mat-dialog-actions>
    <button class="btn btn-success btn-sm m-right-10" (click)="saveDocumentUserPermission()" cdkFocusInitial><i
            class="las la-save"></i> {{'SAVE' | translate}}</button>
    <button class="btn btn-danger btn-sm" (click)="onNoClick()"><i class="las la-times-circle"></i> {{'CANCEL' |
        translate}}</button>
</div>
